## symbiosis-updater 0424

=== debian/changelog ===
symbiosis-updater (2017:0424) stable; urgency=medium

  * Updated copyright, compat.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:46:30 +0100

symbiosis-updater (2015:1021) stable; urgency=medium

  * Updated Origins-Patterns to work with Debian and Bytemark repos. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 21 Oct 2015 22:13:20 +0100

symbiosis-updater (2015:0618) stable; urgency=medium

  * Added config for u-a
  * Updated maintainer+ uploaders. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 17 Jun 2015 11:08:16 +0100

symbiosis-updater (2015:0408) stable; urgency=low

  * Use unattended-upgrades.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 30 Mar 2015 10:33:01 +0000

symbiosis-updater (2015:0330) stable; urgency=low

  * Moved the configuration file to /etc/symbiosis/updater.d/config
  * Default to not sending emails.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 30 Mar 2015 10:33:01 +0000

symbiosis-updater (2015:0127) stable; urgency=low

  * Updated Debian standards.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jan 2015 09:55:09 +0000

symbiosis-updater (2014:1112) stable; urgency=medium

  * Disable the the symbiosis-updater script if unattended-upgrades is
    installed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 07 Aug 2015 21:30:08 +0100

symbiosis-updater (2014:1111) stable; urgency=medium

  * Email is only sent if the EMAIL parameter is set.
  * Updated maintainers/uploaders.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 31 Mar 2015 13:16:24 +0100

symbiosis-updater (2014:1110) stable; urgency=low

  * Re-jigged packaging (fixes #6686).

 -- James Carter <jcarter@bytemark.co.uk>  Mon, 10 Nov 2014 10:46:31 +0000

symbiosis-updater (2014:0218) stable; urgency=low

  * Updated sources list to use wheezy, not squeeze sources.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 18 Feb 2014 11:03:36 +0000

symbiosis-updater (2014:0214) stable; urgency=low

  * Added bug control.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 11:26:41 +0000

symbiosis-updater (2014:0113) stable; urgency=low

  * Removed gem2deb usage.
  * Updated maintainer/uploaders.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 13 Jan 2014 17:18:36 +0000

symbiosis-updater (2012:0222) stable; urgency=low

  * Updated copyright dates and documentation links.
  * Fixed postinst not to remove /etc/apt/sources.list.security after
    installing it.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 22 Feb 2012 14:13:04 +0000

symbiosis-updater (2012:0215) stable; urgency=low

  * Updated updater to point at squeeze repo.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 13 Feb 2012 13:07:29 +0000

symbiosis-updater (2012:0208) stable; urgency=low

  * Updated debian control files to use relationships properly, as per section
    7.6 of the Debian Policy Manual.
  * Sources security list now points at the RC3 repo.
  * Script no longer just exits if /etc/symbiosis/updater isn't present.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 07 Feb 2012 14:04:58 +0000

symbiosis-updater (2012:0124) stable; urgency=low

  * Fixed install locations for updater.
  * Updated manpage generation to not mention perl so loudly.
  * Moved symbiosis-updater script to /usr/sbin
  * Moved crontab into debian/symbiosis-updater.cron.d
  * Updated sources.list.security to use correct symbiosis repo, and removed
    arch-dependent parts in updater.
  * Updater now emails root@$(hostname) as opposed to the Bytemark automatic
    list.
  * Updater now exit with status 1 in error cases
  * No longer neet to touch /var/tmp/update.packages because our monit is more
    intellegent these days.
  * Random sleep now disabled if command is being run under sudo.
  * updater now fully renamed to symbiosis-updater, not update-packages
  * "mail" rather than "mailx" is used to send mail.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 17 Jan 2012 16:45:35 +0000

symbiosis-updater (2011:0316) stable; urgency=low

  * Updated the package to install two arch-specific files, with a suitable
    suffix - and use the correct one at run-time.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 16 Mar 2011 10:44:01 +0000

symbiosis-updater (2010:1012) stable; urgency=low

  * Updated the cron-job such that systems only fetch & apply updates
    Monday to Friday.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 12 Nov 2010 09:22:09 +0100

symbiosis-updater (2010:0915) stable; urgency=low

  * Added cron-apt conflict

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 15 Sep 2010 10:09:57 +0100

symbiosis-updater (2010:0914) stable; urgency=low

  * Renamed symbiosis-update to symbiosis-updater

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 14 Sep 2010 22:02:28 +0100

symbiosis-updater (2010:0628) stable; urgency=low

  * Renamed our binaries to be "symbiosis-update", rather
    than any other name referring to vhost.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 28 Jun 2010 09:44:09 +0000

symbiosis-updater (2010:0528) stable; urgency=low

  [ Steve Kemp ]
  * Updated package name.
  * Switched to CDBS for build system.

  [ Patrick J Cherry ]
  * Switched to dpkg-source 3.0 (native) format

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 03 Jun 2010 13:51:34 +0100

bytemark-vhost-updater (2009:1126-1) stable; urgency=low

  * Correctly setup the updater environment such that dpkg is non-interactive.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 26 Nov 2009 14:13:12 +0000

bytemark-vhost-updater (2009:1028-1) stable; urgency=low

  * Create a lockfile when we're running.
    (/var/tmp/update.packages)

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Oct 2009 10:22:01 +0000

bytemark-vhost-updater (2009:0929-1) stable; urgency=low

  * Explicitly disable the use of /etc/apt/sources.list.d/
  * Configure debconf to be non-interactive.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 29 Sep 2009 10:57:01 +0000

bytemark-vhost-updater (2009:0916-1) stable; urgency=low


