=== debian/control ===
Source: symbiosis-updater
Section: admin
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.6

Package: symbiosis-updater
Replaces: bytemark-vhost-updater
Conflicts: bytemark-vhost-updater, cron-apt
Provides: bytemark-vhost-updater
Architecture: all
Depends: ${misc:Depends}, unattended-upgrades
Description: Automatic package upgrades
 This package configures the unattended-upgrades package such that security
 updates  will be applied automatically.
